---
lang: en
title: 'API docs: security.defaultsubject.addapplication'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/security
permalink: /doc/en/lb4/apidocs.security.defaultsubject.addapplication.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [DefaultSubject](./security.defaultsubject.md) &gt; [addApplication](./security.defaultsubject.addapplication.md)

## DefaultSubject.addApplication() method

<b>Signature:</b>

```typescript
addApplication(app: ClientApplication): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  app | <code>ClientApplication</code> |  |

<b>Returns:</b>

`void`


